import { world } from "@minecraft/server";

function getScore(objectiveName, player) {
    return world.scoreboard.getObjective(objectiveName)?.getScore(player.scoreboardIdentity)
}

world.afterEvents.itemUse.subscribe((event) => {
    if (event.itemStack.typeId == "zk:magespact") {
        const player = event.source;
        let cd = getScore('lunarfcd', player);

        if (cd >= 20) {
            player.runCommand("function pacts/magespact")
        }
    }
})